function gamePanelDraw()
	ui:draw()
end

function gamePanelUpdate(dt)
	player:update(dt)
	world:update(player, dt)
	message:update(dt)
	if (player.Health.Current <= 0) then panel = "score" end
end

function gamePanelClick(x, y)
	if(player.AllowMove)then
		toggled = false
		if (player.Inventory.Open) then
			toggled = player.Inventory:click(x, y, player)
		end
		if(x > love.graphics.getWidth()-50) and (x < love.graphics.getWidth()-18)then
			if(y > 0) and (y < 48)then
				player.Inventory:reset()
				player.Inventory.Open = not(player.Inventory.Open)
				toggled = true
			end
		end
		if not(player.Inventory.Open) and not(toggled) then
			player:setTarget(x, y)
		end
	else
		world:click(x, y, player)
	end
end