function titlePanelDraw()
	love.graphics.setColor(255, 255, 255)
	love.graphics.draw(titleBkg, 0, 0)

	buttonWidth = 300
	buttonHeight = 20

	love.graphics.setFont(smallFont)

	-- BUTTON
	love.graphics.setColor(20, 20, 20)
	love.graphics.rectangle("fill", (love.graphics.getWidth()/2)-(buttonWidth/2)-2, 15+(love.graphics.getHeight()/2)-(buttonHeight/2), buttonWidth+4, buttonHeight)
	love.graphics.rectangle("fill", (love.graphics.getWidth()/2)-(buttonWidth/2), 15+(love.graphics.getHeight()/2)-(buttonHeight/2)-2, buttonWidth, buttonHeight+4)
	love.graphics.setColor(90, 90, 90)
	love.graphics.rectangle("fill", (love.graphics.getWidth()/2)-(buttonWidth/2), 15+(love.graphics.getHeight()/2)-(buttonHeight/2), buttonWidth, buttonHeight)
	-- TEXT
	love.graphics.setColor(20, 20, 20)
	love.graphics.printf("<<", -130, 15+love.graphics.getHeight()/2-2, love.graphics.getWidth(), "center")
	love.graphics.printf(">>", 135, 15+love.graphics.getHeight()/2-2, love.graphics.getWidth(), "center")
	love.graphics.printf(gameType, 0, 15+love.graphics.getHeight()/2-2, love.graphics.getWidth(), "center")
	love.graphics.setColor(230, 230, 230)
	love.graphics.printf("<<", -130, 15+love.graphics.getHeight()/2-4, love.graphics.getWidth(), "center")
	love.graphics.printf(">>", 135, 15+love.graphics.getHeight()/2-4, love.graphics.getWidth(), "center")
	love.graphics.printf(gameType, 0, 15+love.graphics.getHeight()/2-4, love.graphics.getWidth(), "center")

	love.graphics.setFont(font)

	-- BUTTON
	love.graphics.setColor(20, 20, 20)
	love.graphics.rectangle("fill", (love.graphics.getWidth()/2)-(buttonWidth/2)-2, (love.graphics.getHeight()/2)-(buttonHeight/2), buttonWidth+4, buttonHeight)
	love.graphics.rectangle("fill", (love.graphics.getWidth()/2)-(buttonWidth/2), (love.graphics.getHeight()/2)-(buttonHeight/2)-2, buttonWidth, buttonHeight+4)
	love.graphics.setColor(130, 130, 130)
	love.graphics.rectangle("fill", (love.graphics.getWidth()/2)-(buttonWidth/2), (love.graphics.getHeight()/2)-(buttonHeight/2), buttonWidth, buttonHeight)
	-- TEXT
	love.graphics.setColor(20, 20, 20)
	love.graphics.printf("Start new game", 0, love.graphics.getHeight()/2-8, love.graphics.getWidth(), "center")
	love.graphics.setColor(230, 230, 230)
	love.graphics.printf("Start new game", 0, love.graphics.getHeight()/2-10, love.graphics.getWidth(), "center")

	-- BUTTON
	love.graphics.setColor(20, 20, 20)
	love.graphics.rectangle("fill", (love.graphics.getWidth()/2)-(buttonWidth/2)-2, 45+(love.graphics.getHeight()/2)-(buttonHeight/2), buttonWidth+4, buttonHeight)
	love.graphics.rectangle("fill", (love.graphics.getWidth()/2)-(buttonWidth/2), 45+(love.graphics.getHeight()/2)-(buttonHeight/2)-2, buttonWidth, buttonHeight+4)
	love.graphics.setColor(130, 130, 130)
	love.graphics.rectangle("fill", (love.graphics.getWidth()/2)-(buttonWidth/2), 45+(love.graphics.getHeight()/2)-(buttonHeight/2), buttonWidth, buttonHeight)
	-- TEXT
	love.graphics.setColor(20, 20, 20)
	love.graphics.printf("Learn How To Play", 0, 45+love.graphics.getHeight()/2-8, love.graphics.getWidth(), "center")
	love.graphics.setColor(230, 230, 230)
	love.graphics.printf("Learn How To Play", 0, 45+love.graphics.getHeight()/2-10, love.graphics.getWidth(), "center")

	-- BUTTON
	love.graphics.setColor(20, 20, 20)
	love.graphics.rectangle("fill", (love.graphics.getWidth()/2)-(buttonWidth/2)-2, 75+(love.graphics.getHeight()/2)-(buttonHeight/2), buttonWidth+4, buttonHeight)
	love.graphics.rectangle("fill", (love.graphics.getWidth()/2)-(buttonWidth/2), 75+(love.graphics.getHeight()/2)-(buttonHeight/2)-2, buttonWidth, buttonHeight+4)
	love.graphics.setColor(130, 130, 130)
	love.graphics.rectangle("fill", (love.graphics.getWidth()/2)-(buttonWidth/2), 75+(love.graphics.getHeight()/2)-(buttonHeight/2), buttonWidth, buttonHeight)
	-- TEXT
	love.graphics.setColor(20, 20, 20)
	love.graphics.printf("Exit Game", 0, 75+love.graphics.getHeight()/2-8, love.graphics.getWidth(), "center")
	love.graphics.setColor(230, 230, 230)
	love.graphics.printf("Exit Game", 0, 75+love.graphics.getHeight()/2-10, love.graphics.getWidth(), "center")
end

function titlePanelUpdate(dt)

end

function titlePanelClick(x, y)
	if (x > ((love.graphics.getWidth()/2)-(buttonWidth/2))) and (x < ((love.graphics.getWidth()/2)-(buttonWidth/2)+buttonWidth)) then
		if (y > ((love.graphics.getHeight()/2)-(buttonHeight/2))) and (y < ((love.graphics.getHeight()/2)-(buttonHeight/2)+buttonHeight)) then
			panel = "game"
		end
		if (y > (20+(love.graphics.getHeight()/2)-(buttonHeight/2))) and (y < (15+(love.graphics.getHeight()/2)-(buttonHeight/2)+buttonHeight)) then
			if (x < love.graphics.getWidth()/2-120) then
				-- << level
				if (gameType == "Exploration") then gameType = "Exploration"
				elseif (gameType == "Easy") then gameType = "Exploration"
				elseif (gameType == "Normal") then gameType = "Easy"
				elseif (gameType == "Hard") then gameType = "Normal"
				end
			elseif (x > love.graphics.getWidth()/2+120) then
				-- >> level
				if (gameType == "Exploration") then gameType = "Easy"
				elseif (gameType == "Easy") then gameType = "Normal"
				elseif (gameType == "Normal") then gameType = "Hard"
				elseif (gameType == "Hard") then gameType = "Hard"
				end
			end
		end
		if (y > 75+((love.graphics.getHeight()/2)-(buttonHeight/2))) and (y < 75+((love.graphics.getHeight()/2)-(buttonHeight/2)+buttonHeight)) then
			love.event.quit()
		end
	end
end